"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var react_1 = require("react");
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var Typography_1 = require("onyxia-ui/Typography");
var tss_react_1 = require("tss-react");
var GlButton_1 = require("./GlButton");
var theme_1 = require("./theme");
var powerhooks_1 = require("powerhooks");
var GlLogo_1 = require("./GlLogo");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var numberOfIcons = _a.numberOfIcons, isLink = _a.isLink;
        return ({
            "root": __assign({ "position": "relative", "& a": {
                    "width": "100%",
                    "height": "100%",
                    "display": "flex",
                    "flexDirection": "column",
                    "alignItems": "center",
                    "justifyContent": "space-between",
                    ":hover": {
                        "textDecoration": "none",
                    },
                }, "backgroundColor": theme.colors.useCases.surfaces.surface1, "padding": theme.spacing(3), "borderRadius": 16, "boxShadow": theme.shadows[1], "transition": "box-shadow 200ms", ":hover": {
                    "boxShadow": theme.shadows[2],
                    "cursor": isLink ? "pointer" : undefined,
                }, "margin": theme.spacing(1.5) }, (theme.responsive.down("lg")
                ? {
                    "margin": theme.spacing(1),
                }
                : {})),
            "subHeading": __assign({ "fontWeight": "normal", "textAlign": "center", "marginTop": theme.spacing(3) }, (theme.responsive.down("lg")
                ? {
                    "fontSize": "18px",
                    "lineHeight": "28px",
                    "textTransform": "uppercase",
                }
                : {})),
            "heading": {
                "display": "flex",
                "justifyContent": "center",
                "alignItems": "center",
                "gap": theme.spacing(1.7),
                "& h1": __assign({ "fontSize": "86px", "lineHeight": "70px" }, (theme.responsive.down("lg")
                    ? {
                        "fontSize": "52px",
                        "lineHeight": "60px",
                    }
                    : {})),
            },
            "iconWrapper": {
                "display": "grid",
                "columnGap": numberOfIcons < 3 ? theme.spacing(2) : undefined,
                "gridTemplateColumns": numberOfIcons >= 3 ? "repeat(auto-fit,  minmax(10px, max-content))" : undefined,
                "gridAutoFlow": numberOfIcons < 3 ? "column" : undefined,
                "width": numberOfIcons >= 3 ? (numberOfIcons - 1) * 50 : undefined,
            },
            "icon": {
                "width": 50,
                "height": 50,
                "fill": theme.colors.palette.focus.main,
            },
            "description": __assign({ "textAlign": "center", "& h4": {
                    "marginTop": theme.spacing(3),
                }, "& p": {
                    "marginTop": theme.spacing(3),
                } }, (theme.responsive.down("lg")
                ? {
                    "& h4": {
                        "fontSize": "18px",
                        "lineHeight": "20px",
                        "marginTop": theme.spacing(3),
                    },
                    "& p": {
                        "fontSize": "16px",
                        "lineHeight": "2Opx",
                        "marginTop": theme.spacing(3),
                    },
                }
                : {})),
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlCard = react_1.memo(function (props) {
    var button = props.button, href = props.href, className = props.className, description = props.description, heading = props.heading, subHeading = props.subHeading;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({
        "numberOfIcons": heading !== undefined && heading.iconUrls !== undefined ? heading.iconUrls.length : 0,
        "isLink": href !== undefined,
    }).classNames;
    return (jsx_runtime_1.jsx("div", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: jsx_runtime_1.jsxs(Link_1.default, __assign({ href: href }, { children: [heading && (jsx_runtime_1.jsxs("div", __assign({ className: classNames.heading }, { children: [heading.title && jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h1" }, { children: heading.title }), void 0),
                        heading.iconUrls && (jsx_runtime_1.jsx("div", __assign({ className: classNames.iconWrapper }, { children: heading.iconUrls.map(function (url, index) {
                                var _a;
                                return (jsx_runtime_1.jsx(GlLogo_1.GlLogo, { className: tss_react_1.cx(classNames.icon, tss_react_1.css({
                                        "zIndex": heading.iconUrls !== undefined
                                            ? ((_a = heading.iconUrls) === null || _a === void 0 ? void 0 : _a.length) - index
                                            : undefined,
                                    })), logoUrl: url }, index));
                            }) }), void 0))] }), void 0)),
                subHeading && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.subHeading, variant: "h3" }, { children: subHeading }), void 0)),
                description && (jsx_runtime_1.jsxs("div", __assign({ className: classNames.description }, { children: [description.title && jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h4" }, { children: description.title }), void 0),
                        description.paragraph && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "body1" }, { children: description.paragraph }), void 0))] }), void 0)),
                button && (jsx_runtime_1.jsx(GlButton_1.GlButton, __assign({ color: "secondary" }, button.link, { className: button.className }, { children: button.title }), void 0))] }), void 0) }), void 0));
});
//# sourceMappingURL=GlCard.js.map