/// <reference types="react" />
import type { GlCardVariantProps } from "./GlCardVariant";
import type { GlCardProps } from "./GlCard";
export declare type GlCardSectionProps = {
    className?: string;
    title?: string;
    cards?: GlCardSectionProps.Card[];
    /**
     * specify the maximum screen width in witch the thumbnails
     * are displayed as columns.
     */
    breakpointForColumnDisplay?: number;
    showMoreMessage?: string;
};
export declare namespace GlCardSectionProps {
    type Card = Card.Normal | Card.Variant;
    namespace Card {
        type Normal = {
            type: "normal";
        } & GlCardProps;
        type Variant = {
            type: "variant";
        } & GlCardVariantProps;
    }
}
export declare const GlCardSection: import("react").MemoExoticComponent<(props: GlCardSectionProps) => JSX.Element>;
