/// <reference types="react" />
export declare type GlCardVariantProps = {
    background?: GlCardVariantProps.Background;
    className?: string;
    footer?: {
        title?: string;
        subTitle?: string;
        date?: string;
    };
    button?: {
        title: string;
        link: {
            href: string;
            onClick?(): void;
        };
        color?: string;
        backgroundColor?: string;
    };
};
export declare namespace GlCardVariantProps {
    type Background = Background.Color | Background.Image;
    namespace Background {
        type Image = {
            type: "image";
            url: string;
        };
        type Color = {
            type: "color";
            color: string;
        };
    }
}
export declare const GlCardVariant: import("react").MemoExoticComponent<(props: GlCardVariantProps) => JSX.Element>;
