/// <reference types="react" />
export declare type GlFooter = {
    leftItems: GlFooter.Item[];
    rightItems: GlFooter.Item[];
    licence: string;
    background?: {
        type: "image" | "color";
        colorOrUrlDark: string;
        colorOrUrlLight: string;
    };
    className?: string;
};
export declare namespace GlFooter {
    type Item = {
        name: string;
        link: {
            href: string;
            onClick?(): void;
        };
        /**
         * If you use an svg image that does not have a fill,
         * the fill will be set to the current font color,
         * depending on the dark mode being active.
         */
        logoUrl?: string;
    };
}
export declare const GlFooter: import("react").MemoExoticComponent<(props: GlFooter) => JSX.Element>;
