"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlFooter = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
/* eslint-disable no-irregular-whitespace */
/* eslint-disable @typescript-eslint/ban-types */
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var GlLogo_1 = require("./GlLogo");
var tss_react_1 = require("tss-react");
var react_2 = require("react");
var theme_1 = require("./theme");
var powerhooks_1 = require("powerhooks");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var background = _a.background;
        return ({
            "root": {
                "display": "flex",
                "flexDirection": "column",
                "alignItems": "center",
                "background": (function () {
                    if (background === undefined) {
                        return theme.colors.useCases.surfaces.background;
                    }
                    if (background.type === "color") {
                        return theme.isDarkModeEnabled
                            ? background.colorOrUrlDark
                            : background.colorOrUrlLight;
                    }
                    return "center no-repeat url(" + (theme.isDarkModeEnabled ? background.colorOrUrlDark : background.colorOrUrlLight) + ")";
                })(),
                "backgroundSize": (function () {
                    if (background === undefined || background.type === "color") {
                        return "unset";
                    }
                    return "cover";
                })(),
                "marginTop": 80,
            },
            "logoSvg": {
                "marginRight": 20,
                "display": "flex",
                "& svg": {
                    "width": 40,
                    "height": 40,
                    "fill": theme.isDarkModeEnabled ? "white" : "black",
                },
            },
            "logo": {
                "marginRight": 20,
                "width": 40,
                "height": 40,
            },
            "column": {
                "margin": 40,
                "& a": {
                    "display": "flex",
                    "alignItems": "center",
                    "height": 60,
                },
                "@media (max-width: 440px)": {
                    "margin": "40px 10px 40px 10px",
                },
            },
            "licence": {
                "fontStyle": "italic",
            },
            "wrapper": {
                "display": "flex",
            },
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlFooter = react_2.memo(function (props) {
    var licence = props.licence, leftItems = props.leftItems, rightItems = props.rightItems, background = props.background, className = props.className;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({ background: background }).classNames;
    return (jsx_runtime_1.jsxs("footer", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [jsx_runtime_1.jsx("div", __assign({ className: classNames.wrapper }, { children: [leftItems, rightItems].map(function (items, i) { return (jsx_runtime_1.jsx("div", __assign({ className: classNames.column }, { children: items.map(function (_a) {
                        var link = _a.link, name = _a.name, logoUrl = _a.logoUrl;
                        return (react_1.createElement(Link_1.default, __assign({}, link, { key: name }),
                            logoUrl !== undefined && (jsx_runtime_1.jsx(GlLogo_1.GlLogo, { logoUrl: logoUrl, className: classNames.logoSvg }, void 0)),
                            jsx_runtime_1.jsx(Typography_1.default, { children: name }, void 0)));
                    }) }), i)); }) }), void 0),
            jsx_runtime_1.jsx("p", __assign({ className: classNames.licence }, { children: licence }), void 0)] }), void 0));
});
//# sourceMappingURL=GlFooter.js.map