"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlHeader = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
/* eslint-disable @typescript-eslint/no-explicit-any */
var List_1 = __importDefault(require("@material-ui/core/List"));
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var useNamedState_1 = require("powerhooks/useNamedState");
var useConstCallback_1 = require("powerhooks/useConstCallback");
var tss_react_1 = require("tss-react");
var useClickAway_1 = require("powerhooks/useClickAway");
var react_1 = require("react");
var Typography_1 = require("onyxia-ui/Typography");
var GlIcon_1 = require("./GlIcon");
var theme_1 = require("./theme");
var powerhooks_1 = require("powerhooks");
/*export declare namespace GlHeaderProps {
    export type Title = Title.Logo | Title.Markdown;

    export namespace Title {
        export type Logo = {
            type: "logo";
            logoUrl: string;
        };

        export type Markdown = {
            type: "text";
            text: string;
        };
    }
}*/
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var mobileMenuHeight = _a.mobileMenuHeight;
        return ({
            "root": __assign(__assign({ "display": "flex", "justifyContent": "space-between", "flexWrap": "wrap", "alignItems": "center", "width": "100%", "padding": [2.25, 12.5, 2.25, 12.5].map(function (spacing) { return theme.spacing(spacing) + "px"; }).join(" ") }, (theme.responsive.down("lg")
                ? {
                    "padding": [2, 4.5, 2, 4.5]
                        .map(function (spacing) { return theme.spacing(spacing) + "px"; })
                        .join(" "),
                }
                : {})), (theme.responsive.down("sm")
                ? {
                    "padding": [2, 2, 2, 2].map(function (spacing) { return theme.spacing(spacing) + "px"; }).join(" "),
                }
                : {})),
            "title": __assign(__assign({}, (theme.responsive.down("lg")
                ? {
                    "& h3": {
                        "fontSize": "18px",
                        "lineHeight": "24px",
                    },
                }
                : {})), { "& svg": {
                    "height": 50,
                    "width": 50,
                } }),
            "itemWrapper": __assign({}, (theme.responsive.down("md")
                ? {
                    "transition": "height 400ms",
                    "order": 3,
                    "flex": "1 0 100%",
                    "textAlign": "left",
                    "height": mobileMenuHeight,
                    "overflow": "hidden",
                    "display": "flex",
                    "flexDirection": "column",
                }
                : {})),
            "link": __assign({ "color": theme.isDarkModeEnabled ? "white" : "black", "fontSize": "22px", "lineHeight": "32px", "marginLeft": theme.spacing(8) }, (theme.responsive.down("lg")
                ? {
                    "marginLeft": theme.spacing(3),
                    "fontSize": "14px",
                    "lineHeight": "24px",
                }
                : {})),
            "unfold": __assign({ "order": 2, "marginLeft": 10, "display": "none", "cursor": "pointer" }, (theme.responsive.down("md")
                ? {
                    "display": "flex",
                    "alignItems": "center",
                }
                : {})),
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlHeader = react_1.memo(function (props) {
    var menuItems = props.menuItems, title = props.title, className = props.className;
    var _a = useNamedState_1.useNamedState("mobileMenuHeight", 0), mobileMenuHeight = _a.mobileMenuHeight, setMobileMenuHeight = _a.setMobileMenuHeight;
    var rootRef = useClickAway_1.useClickAway(function () { return setMobileMenuHeight(0); }).rootRef;
    var titleRef = react_1.useRef(null);
    var menuRef = react_1.useRef(null);
    var toggleMobileMenu = useConstCallback_1.useConstCallback(function () {
        if (mobileMenuHeight !== 0) {
            setMobileMenuHeight(0);
            return;
        }
        var menuItems = document.getElementsByClassName("menu-item");
        var newHeight = (parseInt(getComputedStyle(menuItems[0]).marginTop.replace("px", "")) +
            parseInt(getComputedStyle(menuItems[0]).marginBottom.replace("px", "")) +
            menuItems[0].clientHeight) *
            menuItems.length;
        setMobileMenuHeight(newHeight);
    });
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({
        mobileMenuHeight: mobileMenuHeight,
    }).classNames;
    return (jsx_runtime_1.jsxs(List_1.default, __assign({ className: tss_react_1.cx(classNames.root, className), component: "nav" }, { children: [title !== undefined && (jsx_runtime_1.jsx("div", __assign({ ref: titleRef, className: classNames.title }, { children: typeof title === "string" ? (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h3" }, { children: title }), void 0)) : typeof title === "function" ? (title()) : (title) }), void 0)),
            jsx_runtime_1.jsx("div", __assign({ ref: menuRef, className: classNames.itemWrapper }, { children: menuItems !== undefined &&
                    menuItems.map(function (_a) {
                        var name = _a.name, link = _a.link;
                        return (jsx_runtime_1.jsx(Link_1.default, __assign({ className: tss_react_1.cx(classNames.link, "menu-item") }, link, { children: name }), name));
                    }) }), void 0),
            jsx_runtime_1.jsx("div", __assign({ ref: rootRef, className: classNames.unfold }, { children: jsx_runtime_1.jsx(GlIcon_1.GlIcon, { id: "dehaze", onClick: toggleMobileMenu }, void 0) }), void 0)] }), void 0));
});
//# sourceMappingURL=GlHeader.js.map