/// <reference types="react" />
import type { GlImageProps } from "./GlImage";
export declare type GlHeroProps = {
    titleMd?: string;
    subTitleMd?: string;
    className?: string;
    image?: GlImageProps;
    /**
     * you can use markdown between back ticks.
     */
    background?: GlHeroProps.Background;
    scrollDownButton?: {
        title: string;
        href?: string;
    };
};
export declare namespace GlHeroProps {
    type Background = Background.Color | Background.ImageUrl;
    namespace Background {
        type Color = {
            type: "color";
            backgroundColor: string;
        };
        type ImageUrl = {
            type: "image";
            imageUrl: string;
        };
    }
}
export declare const GlHero: import("react").MemoExoticComponent<(props: GlHeroProps) => JSX.Element>;
