"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlHero = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
/* eslint-disable @typescript-eslint/ban-types */
var Typography_1 = require("onyxia-ui/Typography");
var GlImage_1 = require("./GlImage");
var tss_react_1 = require("tss-react");
var react_1 = require("react");
var react_markdown_1 = __importDefault(require("react-markdown"));
var GlDownArrow_1 = require("./GlDownArrow");
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var theme_1 = require("./theme");
var powerhooks_1 = require("powerhooks");
var GlSections_1 = require("./GlSections");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var background = _a.background;
        return ({
            "root": __assign(__assign({ "position": "relative", "width": "100%", "display": "flex", "flexDirection": "column", "alignItems": "center", "& p": {
                    "margin": 0,
                } }, (theme.responsive.down("md")
                ? __assign({}, (function () {
                    var value = theme.spacing(4.5);
                    return {
                        "paddingRight": value,
                        "paddingLeft": value,
                    };
                })()) : {})), (theme.responsive.down("sm")
                ? __assign({}, (function () {
                    var value = theme.spacing(2);
                    return {
                        "paddingRight": value,
                        "paddingLeft": value,
                    };
                })()) : {})),
            "presentation": __assign({ "display": "flex", "width": "100%", "boxSizing": "border-box", "justifyContent": "space-between", "marginTop": theme.spacing(5) }, (theme.responsive.down("md")
                ? {
                    "flexDirection": "column",
                }
                : {})),
            "presentationText": __assign(__assign(__assign({ "position": "relative", "left": 100, "textAlign": "left", "width": 994, "zIndex": 1, "& h2": __assign(__assign({ "fontSize": "86px", "marginBottom": theme.spacing(4), "width": 1000 }, (theme.responsive.down("lg")
                    ? {
                        "fontSize": "52px",
                        "width": "unset",
                    }
                    : {})), (theme.responsive.down("sm")
                    ? {
                        "fontSize": "36px",
                        "lineHeight": "40px",
                    }
                    : {})) }, (theme.responsive.down("lg")
                ? {
                    "width": 511,
                    "left": theme.spacing(4.5),
                }
                : {})), (theme.responsive.down("sm")
                ? {
                    "width": "100%",
                    "left": 0,
                }
                : {})), { "& h3": __assign(__assign(__assign({}, (theme.responsive.down("lg")
                    ? {
                        "lineHeight": "28px",
                        "fontSize": "18px",
                        "width": 450,
                    }
                    : {})), (theme.responsive.down("md")
                    ? {
                        "fontSize": "16px",
                        "lineHeight": "20px",
                    }
                    : {})), (theme.responsive.down("sm")
                    ? {
                        "width": "unset",
                    }
                    : {})) }),
            "subtitle": {
                "width": 650,
                "fontWeight": 400,
                "lineHeight": "40px",
            },
            "image": __assign(__assign({ "position": "relative", "right": 100, "width": 900 }, (theme.responsive.down("lg")
                ? {
                    "width": 510,
                    "right": theme.spacing(4.5),
                }
                : {})), (theme.responsive.down("md")
                ? {
                    "width": "100%",
                    "right": 0,
                }
                : {})),
            "backgroundDiv": {
                "background": (function () {
                    if (background === undefined) {
                        return undefined;
                    }
                    if (background.type === "color") {
                        return theme.isDarkModeEnabled
                            ? background.backgroundColor
                            : background.backgroundColor;
                    }
                    return "\n                    url(\"" + (theme.isDarkModeEnabled ? background.imageUrl : background.imageUrl) + "\")\n                ";
                })(),
                "backgroundRepeat": "no-repeat",
                "backgroundSize": "cover",
                "backgroundPosition": "center",
                "width": "100%",
                "height": "100%",
                "position": "absolute",
                "top": 0,
                "left": 0,
                "zIndex": -1,
                "filter": theme.isDarkModeEnabled ? "brightness(0.8)" : undefined,
            },
            "button": {
                "color": theme.isDarkModeEnabled ? "white" : "black",
                "margin": 15,
            },
            "buttonWrapper": {
                "marginTop": 30,
                "marginBottom": 30,
                "maxWidth": 650,
            },
            "scrollDownButtonWrapper": __assign(__assign({ "display": "flex", "flexDirection": "column", "alignItems": "center", "marginTop": theme.spacing(10), "& h3": {
                    "fontWeight": 400,
                    "marginBottom": 21,
                } }, (theme.responsive.down("lg")
                ? {
                    "& h3": {
                        "fontSize": "18px",
                        "lineHeight": "28px",
                    },
                    "& div": {
                        "transform": "scale(0.8)",
                    },
                }
                : {})), (theme.responsive.down("md")
                ? {
                    "marginTop": theme.spacing(5),
                    "& h3": {
                        "display": "none",
                    },
                }
                : {})),
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlHero = react_1.memo(function (props) {
    var _a;
    var image = props.image, titleMd = props.titleMd, subTitleMd = props.subTitleMd, background = props.background, className = props.className, scrollDownButton = props.scrollDownButton;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({ background: background }).classNames;
    return (jsx_runtime_1.jsxs("section", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [jsx_runtime_1.jsx("div", { className: classNames.backgroundDiv }, void 0),
            jsx_runtime_1.jsxs("div", __assign({ className: classNames.presentation }, { children: [jsx_runtime_1.jsxs("div", __assign({ className: classNames.presentationText }, { children: [titleMd && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h2" }, { children: jsx_runtime_1.jsx(react_markdown_1.default, { children: titleMd }, void 0) }), void 0)),
                            subTitleMd && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h3", className: classNames.subtitle }, { children: jsx_runtime_1.jsx(react_markdown_1.default, { children: subTitleMd }, void 0) }), void 0))] }), void 0),
                    image !== undefined && (jsx_runtime_1.jsx(GlImage_1.GlImage, { className: tss_react_1.cx(classNames.image, image.className), url: image.url, alt: image.alt }, void 0))] }), void 0),
            scrollDownButton && (jsx_runtime_1.jsxs("div", __assign({ className: classNames.scrollDownButtonWrapper }, { children: [jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h3" }, { children: jsx_runtime_1.jsx(react_markdown_1.default, { children: scrollDownButton.title }, void 0) }), void 0),
                    jsx_runtime_1.jsx(Link_1.default, __assign({ href: (_a = scrollDownButton.href) !== null && _a !== void 0 ? _a : "#" + GlSections_1.glSectionId }, { children: jsx_runtime_1.jsx(GlDownArrow_1.GlDownArrow, {}, void 0) }), void 0)] }), void 0))] }), void 0));
});
//# sourceMappingURL=GlHero.js.map