"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlRoot = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var GlHeader_1 = require("./GlHeader");
var GlHero_1 = require("./GlHero");
var GlSections_1 = require("./GlSections");
var GlReviewSlider_1 = require("./GlReviewSlider");
var GlFooter_1 = require("./GlFooter");
var GlCardSection_1 = require("./GlCardSection");
var useGuaranteedMemo_1 = require("powerhooks/useGuaranteedMemo");
var react_1 = require("react");
var theme_1 = require("./theme");
var ZoomProvider_1 = require("powerhooks/ZoomProvider");
exports.GlRoot = (function () {
    var GlRootInner = (function () {
        var getUseClassNames = function () {
            var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
            var useClassNames = createUseClassNames()(function () {
                var _a = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    _a[_i] = arguments[_i];
                }
                var _b = __read(_a, 2), doUseZoomProvider = _b[1].doUseZoomProvider;
                return ({
                    "root": {
                        "height": doUseZoomProvider ? "100%" : "100vh",
                        "display": "flex",
                        "flexDirection": "column",
                        "overflow": "hidden",
                    },
                    "scrollWrapper": {
                        "flex": 1,
                        "overflow": "auto",
                        "scrollBehavior": "smooth",
                    },
                });
            }).useClassNames;
            return { useClassNames: useClassNames };
        };
        var GlRootInner = react_1.memo(function (props) {
            var cardSection = props.cardSection, footer = props.footer, header = props.header, hero = props.hero, mainSection = props.mainSection, reviewSlider = props.reviewSlider;
            var _a = __read(react_1.useState(function () { return getUseClassNames(); }), 1), useClassNames = _a[0].useClassNames;
            var referenceWidth = ZoomProvider_1.useZoomProviderReferenceWidth().referenceWidth;
            var classNames = useClassNames({
                "doUseZoomProvider": referenceWidth !== undefined,
            }).classNames;
            return (jsx_runtime_1.jsxs("div", __assign({ className: classNames.root }, { children: [header !== undefined && jsx_runtime_1.jsx(GlHeader_1.GlHeader, __assign({}, header), void 0),
                    jsx_runtime_1.jsxs("div", __assign({ className: classNames.scrollWrapper }, { children: [hero !== undefined && jsx_runtime_1.jsx(GlHero_1.GlHero, __assign({}, hero), void 0),
                            mainSection !== undefined && (jsx_runtime_1.jsx(GlSections_1.GlSections, { className: mainSection.className, sections: mainSection.sections }, void 0)),
                            cardSection !== undefined && jsx_runtime_1.jsx(GlCardSection_1.GlCardSection, __assign({}, cardSection), void 0),
                            reviewSlider !== undefined && (jsx_runtime_1.jsx(GlReviewSlider_1.GlReviewSlider, { className: reviewSlider.className, reviews: reviewSlider.reviews }, void 0)),
                            footer !== undefined && jsx_runtime_1.jsx(GlFooter_1.GlFooter, __assign({}, footer), void 0)] }), void 0)] }), void 0));
        });
        return { GlRootInner: GlRootInner };
    })().GlRootInner;
    var GlRoot = react_1.memo(function (props) {
        var ThemeProviderOrId = useGuaranteedMemo_1.useGuaranteedMemo(function () { return theme_1.getThemeApi(); }, []).ThemeProviderOrId;
        return (jsx_runtime_1.jsx(ThemeProviderOrId, { children: jsx_runtime_1.jsx(GlRootInner, __assign({}, props), void 0) }, void 0));
    });
    return { GlRoot: GlRoot };
})().GlRoot;
//# sourceMappingURL=GlRoot.js.map