/// <reference types="react" />
import type { GlImageProps } from "./GlImage";
import type { GlCodeProps } from "./GlCode";
import type { GlCardSectionProps } from "./GlCardSection";
export declare type GlSectionProps = {
    className?: string;
    cardSection?: GlCardSectionProps;
    illustration?: GlSectionProps.Illustration;
    title?: string;
    article?: {
        title: string;
        /**
         * you can use markdown between back ticks.
         */
        paragraphMd: string;
        button?: {
            className?: string;
            title: string;
            href: string;
        };
    };
    isRowReverse?: boolean;
};
export declare namespace GlSectionProps {
    type Illustration = Illustration.Code | Illustration.Image;
    namespace Illustration {
        type Code = {
            type: "code";
        } & GlCodeProps;
        type Image = {
            type: "image";
        } & GlImageProps;
    }
}
export declare const GlSection: import("react").MemoExoticComponent<(props: GlSectionProps) => JSX.Element>;
