"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlSection = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var Typography_1 = require("onyxia-ui/Typography");
var react_markdown_1 = __importDefault(require("react-markdown"));
var GlImage_1 = require("./GlImage");
var react_1 = require("react");
var tss_react_1 = require("tss-react");
var GlCode_1 = require("./GlCode");
var GlButton_1 = require("./GlButton");
var theme_1 = require("./theme");
var powerhooks_1 = require("powerhooks");
var GlCardSection_1 = require("./GlCardSection");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var isRowReverse = _a.isRowReverse;
        return ({
            "root": __assign({ "position": "relative", "marginTop": theme.spacing(17.25) }, (theme.responsive.down("sm")
                ? {
                    "marginTop": theme.spacing(8),
                }
                : {})),
            "title": __assign({ "fontSize": "40px", "textAlign": "center", "marginBottom": theme.spacing(7.5) }, (theme.responsive.down("lg")
                ? {
                    "fontSize": "24px",
                    "lineHeight": "32px",
                }
                : {})),
            "articleAndImageWrapper": __assign(__assign(__assign({ "display": "flex", "gap": theme.spacing(16), "justifyContent": "center", "alignItems": "center", "marginTop": theme.spacing(17.25) }, (theme.responsive.down("lg")
                ? {
                    "justifyContent": "space-between",
                }
                : {})), (theme.responsive.down("md")
                ? {
                    "flexDirection": "column-reverse",
                    "paddingLeft": theme.spacing(4.5),
                    "paddingRight": theme.spacing(4.5),
                    "marginTop": theme.spacing(8),
                    "gap": theme.spacing(8),
                }
                : {
                    "flexDirection": isRowReverse ? "row-reverse" : "row",
                    "paddingLeft": theme.spacing(6),
                    "paddingRight": theme.spacing(6),
                })), (theme.responsive.down("sm")
                ? __assign({ "gap": theme.spacing(4) }, (function () {
                    var value = theme.spacing(2);
                    return {
                        "paddingLeft": value,
                        "paddingRight": value,
                    };
                })()) : {})),
            "article": __assign({ "display": "flex", "flexDirection": "column", "textAlign": "left", "width": theme.responsive.down("md") ? "100%" : 412, "& h2": __assign({ "marginBottom": 14 }, (theme.responsive.down("lg")
                    ? {
                        "fontSize": "22px",
                        "lineHeight": "24px",
                    }
                    : {})), "& p": __assign({ "fontSize": theme.typography.body1.fontSize, "lineHeight": "24px", "marginTop": 14, "marginBottom": 14 }, (theme.responsive.down("lg")
                    ? {
                        "fontSize": "16px",
                        "lineHeight": "20px",
                    }
                    : {})) }, (theme.responsive.down("sm")
                ? {
                    "width": "100%",
                    "margin": "unset",
                    "marginTop": theme.spacing(4),
                }
                : {})),
            "illustration": __assign(__assign({ "width": 900 }, (theme.responsive.down("lg")
                ? {
                    "width": 511,
                }
                : {})), (theme.responsive.down("md")
                ? {
                    "width": "100%",
                }
                : {})),
            "button": {
                "alignSelf": "right",
            },
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlSection = react_1.memo(function (props) {
    var article = props.article, illustration = props.illustration, isRowReverse = props.isRowReverse, className = props.className, cardSection = props.cardSection, title = props.title;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({
        isRowReverse: isRowReverse,
    }).classNames;
    return (jsx_runtime_1.jsxs("section", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [title && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.title, variant: "h2" }, { children: title }), void 0)),
            jsx_runtime_1.jsx(GlCardSection_1.GlCardSection, __assign({}, cardSection), void 0),
            (article !== undefined || illustration !== undefined) && (jsx_runtime_1.jsxs("article", __assign({ className: classNames.articleAndImageWrapper }, { children: [article && (jsx_runtime_1.jsxs("div", __assign({ className: classNames.article }, { children: [jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h2" }, { children: article.title }), void 0),
                            jsx_runtime_1.jsx(react_markdown_1.default, { children: article.paragraphMd }, void 0),
                            article.button && (jsx_runtime_1.jsx("div", __assign({ className: tss_react_1.cx(tss_react_1.css({
                                    "display": "flex",
                                    "justifyContent": "flex-end",
                                    "marginTop": 14,
                                }), article.button.className) }, { children: jsx_runtime_1.jsx(GlButton_1.GlButton, __assign({ className: classNames.button, href: article.button.href, color: "secondary" }, { children: article.button.title }), void 0) }), void 0))] }), void 0)),
                    illustration &&
                        (illustration.type === "image" ? (jsx_runtime_1.jsx(GlImage_1.GlImage, { url: illustration.url, alt: illustration.alt, className: tss_react_1.cx(classNames.illustration, illustration.className) }, void 0)) : (jsx_runtime_1.jsx(GlCode_1.GlCode, { text: illustration.text, language: illustration.language, showLineNumbers: illustration.showLineNumbers, className: tss_react_1.cx(classNames.illustration, illustration.className) }, void 0)))] }), void 0))] }), void 0));
});
//# sourceMappingURL=GlSection.js.map