"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = exports.IconButton = exports.Icon = exports.getThemeApi = exports.overwriteTheme = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var lib_1 = require("onyxia-ui/lib");
var tss_react_1 = require("tss-react");
var Icon_1 = require("onyxia-ui/Icon");
var IconButton_1 = require("onyxia-ui/IconButton");
var Button_1 = require("onyxia-ui/Button");
var IconButton_2 = __importDefault(require("@material-ui/core/IconButton"));
var Brightness4_1 = __importDefault(require("@material-ui/icons/Brightness4"));
var Brightness7_1 = __importDefault(require("@material-ui/icons/Brightness7"));
var ArrowBackIos_1 = __importDefault(require("@material-ui/icons/ArrowBackIos"));
var ArrowForwardIos_1 = __importDefault(require("@material-ui/icons/ArrowForwardIos"));
var Dehaze_1 = __importDefault(require("@material-ui/icons/Dehaze"));
var Brightness1Rounded_1 = __importDefault(require("@material-ui/icons/Brightness1Rounded"));
var isThemeOverwritten = false;
var _a = lib_1.createThemeProvider({
    "getTypography": function (_a) {
        var windowInnerWidth = _a.windowInnerWidth;
        return (__assign(__assign({}, lib_1.defaultGetTypography({ windowInnerWidth: windowInnerWidth })), { "fontFamily": '"Work Sans", sans-serif' }));
    },
}), ThemeProvider = _a.ThemeProvider, useTheme = _a.useTheme;
var createUseClassNames = tss_react_1.createUseClassNamesFactory({ useTheme: useTheme }).createUseClassNames;
function overwriteTheme(params) {
    isThemeOverwritten = true;
    ThemeProvider = params.ThemeProvider;
    useTheme = params.useTheme;
    createUseClassNames = tss_react_1.createUseClassNamesFactory({ useTheme: useTheme }).createUseClassNames;
}
exports.overwriteTheme = overwriteTheme;
exports.getThemeApi = (function () {
    var Id = function (props) { return jsx_runtime_1.jsx(jsx_runtime_1.Fragment, { children: props.children }, void 0); };
    function getThemeApi() {
        return {
            "ThemeProviderOrId": isThemeOverwritten ? Id : ThemeProvider,
            useTheme: useTheme,
            createUseClassNames: createUseClassNames,
        };
    }
    return { getThemeApi: getThemeApi };
})().getThemeApi;
exports.Icon = Icon_1.createIcon({
    "iconButton": IconButton_2.default,
    "brightness4": Brightness4_1.default,
    "brightness7": Brightness7_1.default,
    "arrowBackIos": ArrowBackIos_1.default,
    "arrowForwardIos": ArrowForwardIos_1.default,
    "dehaze": Dehaze_1.default,
    "brightness1Rounded": Brightness1Rounded_1.default,
}).Icon;
exports.IconButton = IconButton_1.createIconButton({ Icon: exports.Icon }).IconButton;
exports.Button = Button_1.createButton({ Icon: exports.Icon }).Button;
//# sourceMappingURL=theme.js.map